Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class DevicePortSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<DevicePortSubscription>
ru.bitel.oss.systems.inventory.resource.server.bean.DevicePortSubscriptionDao

All Implemented Interfaces:
  `AutoCloseable`

public class DevicePortSubscriptionDao extends ru.bitel.common.dao.AbstractDao<DevicePortSubscription>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DevicePortSubscriptionDao(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteBySubscriberId(int subscriberId)`
  `DevicePortSubscription`
  `get(int deviceId, int port, Date now)`
  `protected DevicePortSubscription`
  `getFromRS(ResultSet rs)`
  `List<DevicePortSubscription>`
  `list(int deviceId, int port, Date dateFrom, Date dateTo)`
  `Result<DevicePortSubscription>`
  `list(int deviceId, int port, Date dateFrom, Date dateTo, Page page)`
  `protected void`
  `updateImpl(DevicePortSubscription b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DevicePortSubscriptionDao

    public DevicePortSubscriptionDao(Connection con, int mid)

- ## Method Details

  - ### getFromRS

    protected DevicePortSubscription getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<DevicePortSubscription>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(DevicePortSubscription b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<DevicePortSubscription>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<DevicePortSubscription> list(int deviceId, int port, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public Result<DevicePortSubscription> list(int deviceId, int port, Date dateFrom, Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteBySubscriberId

    public int deleteBySubscriberId(int subscriberId) throws Exception
    Throws:
      `Exception`

  - ### get

    public DevicePortSubscription get(int deviceId, int port, Date now) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`